Bug 4300 - Display 866z summary holdings public note in OPAC
Summary: Display 866z summary holdings public note in OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.6
Hardware: PC All
: P3 normal (vote)
Assignee: Katrin Fischer
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-04 07:32 UTC by Jane Wagner
Modified: 2012-12-11 12:26 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Screen shot of OPAC display (24.58 KB, image/jpeg)
2010-03-04 19:32 UTC, Chris Cormack
Details
Bug 4300: Fix display of textual holdings (866) (3.56 KB, patch)
2012-01-16 22:11 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 4300: Fix display of textual holdings (866) (3.73 KB, patch)
2012-01-17 03:33 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:25:33 UTC


---- Reported by jwagner@ptfs.com 2010-03-04 19:32:06 ----

Created an attachment
Screen shot of OPAC display

I had a request to display the 866 subfield z serials summary holdings note in the OPAC, and thought it would be a useful addition.  In the attached screenshot, for example, the 866z has an entry of Library holds last five years.

In MARC21slim2OPACDetail.xsl, I placed this just above the blocks for the 780 and 785 fields.



---- Additional Comments From gmcharlt@gmail.com 2010-05-11 12:59:58 ----

Patch pushed.  Please test and close.



---- Additional Comments From jwagner@ptfs.com 2010-05-12 14:01:57 ----

The fix for this bug (in ptfs-harley) can be pulled from the public git repository at http://github.com/Koha-PTFS, branch http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4300




---- Additional Comments From jwagner@ptfs.com 2010-05-12 16:37:52 ----

Seems to be fixed.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:25 UTC  ---

This bug was previously known as _bug_ 4300 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4300
Imported an attachment (id=1993)

Unknown operating system Windows 2000. Setting to default OS "All".
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was jwagner@ptfs.com.
The original assignee of this bug does not have
   an account here. Reassigning to the default assignee
   for the component, chris@bigballofwax.co.nz.
   Previous assignee was jwagner@ptfs.com.
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.
The original submitter of attachment 1993 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Katrin Fischer 2012-01-16 07:13:55 UTC
Only subfield 866$z is displayed, but ; is added for each 866 field. 
This does only work correctly, when each 866 has a public note in $z.

Example:
866 $a1-86 (1941-1987)$xbound in 2 v. per year$zSome issues missing
866 $a1-86 (1941-1987)

Shows up as:
Holdings Note: Some issues missing; .

866 - Textual Holdings-Basic Bibliographic Unit (R)
$a - Textual holdings (NR)
$x - Nonpublic note (R)
$z - Public note (R)

Holdings note is also only shown in OPAC, not in staff.

<!-- 866 holdings public note -->
<xsl:if test="marc:datafield[@tag=866]">
<span class="results_summary holdings_note"><span class="label">Holdings Note: </span>
<xsl:for-each select="marc:datafield[@tag=866]">
<xsl:value-of select="marc:subfield[@code='z']"/>
<xsl:choose><xsl:when test="position()=last()"><xsl:text>.</xsl:text></xsl:when><xsl:otherwise><xsl:text>; </xsl:text></xsl:otherwise></xsl:choose>
</xsl:for-each>
</span>
</xsl:if>
Comment 2 Katrin Fischer 2012-01-16 07:16:07 UTC
Also only first $z of each 866 will be displayed, but subfield is repeatable.
Comment 3 Katrin Fischer 2012-01-16 22:11:13 UTC Comment hidden (obsolete)
Comment 4 Jared Camins-Esakov 2012-01-17 03:33:23 UTC
Created attachment 7193 [details] [review]
Bug 4300: Fix display of textual holdings (866)

Fixed problems:
- only $z, but not $a was shown
- only first $z for each 866 field was shown
- each 866 field produced a ; even if no $z was present

After patch was applied:
- OPAC displays 866 $a and $z, separating each field with ;
- Staff displays 866 $a, $x and $z, separating each field with ;

Example(s) for testing:
866 $a1-86 (1941-1987)$xbound in 2 v. per year$zSome issues missing
866 $a1-86 (1941-1987)
866 $a--86 (1941-1897)$xinternal note
866 $zfirst note,$zsecond note

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 5 Paul Poulain 2012-01-17 16:42:33 UTC
QA comment: small patch, everything seems OK

(not tested, my setup is MARC21, I trust jared signoff & katrin patch)
Comment 6 Jared Camins-Esakov 2012-01-17 16:57:02 UTC
The original patch may have been an enhancement, but the follow-up is definitely fixing a bug. Marking as such, and for inclusion in 3.6.x.